Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235828 - crash on clicking Tools->Extension Manager...
Summary: crash on clicking Tools->Extension Manager...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-10 12:44 UTC by Jan Navratil
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 2.2.0-14.5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-15 12:04:06 UTC


Attachments (Terms of Use)

Description Jan Navratil 2007-04-10 12:44:22 UTC
Description of problem:

OOo crashe after click on Tools->Extension Manager...

How reproducible:
100%

(I)    x.org loaded video driver of...
(II) Loading /usr/lib64/xorg/modules/drivers/radeon_drv.so
(II) Loading /usr/lib64/xorg/modules/drivers/ati_drv.so
(II) Reloading /usr/lib64/xorg/modules/drivers/radeon_drv.so
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.1-52.el5-x86_64 libgcj-4.1.1-52.el5-i386
(V)    kernel is: Linux 2.6.18-8.el5 #1 SMP Fri Jan 26 14:15:14 EST 2007 x86_64
x86_64 x86_64
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.2.0-11.3-x86_64
(VII)    depth of root window:    24 planes
(VIII) accessibility is: false
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/sda2             29751708  20197448   8632772  71% /home
/dev/sda3              9920624   5880308   3528248  63% /
...end free space details ...
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
...start stackreport details ...
0x8a6367b8: /usr/lib64/openoffice.org/program/libuno_sal.so.3 + 0x367b8
0x8a63723b: /usr/lib64/openoffice.org/program/libuno_sal.so.3 + 0x3723b
0x4840dd40: /lib64/libpthread.so.0 + 0xdd40
0x47830015: /lib64/libc.so.6 + 0x30015 (gsignal + 0x35)
0x47831980: /lib64/libc.so.6 + 0x31980 (abort + 0x110)
0x58ebebf4: /usr/lib64/libstdc++.so.6 + 0xbebf4
(__gnu_cxx::__verbose_terminate_handler() + 0x114)
0x58ebcdb6: /usr/lib64/libstdc++.so.6 + 0xbcdb6
0x58ebcde3: /usr/lib64/libstdc++.so.6 + 0xbcde3
0x58ebceca: /usr/lib64/libstdc++.so.6 + 0xbceca
0xdd930e9c: /usr/lib64/openoffice.org/program/libdeploymentmisc680lx.so + 0xde9c
0xdd9313b0: /usr/lib64/openoffice.org/program/libdeploymentmisc680lx.so + 0xe3b0
(berkeleydbproxy::Db::open(__db_txn*, char const*, char const*, DBTYPE, unsigned
int, int) + 0x30)
0xddb5d377: /usr/lib64/openoffice.org/program/deployment680lx.uno.so + 0x24377
0xddb82d32: /usr/lib64/openoffice.org/program/deployment680lx.uno.so + 0x49d32
0x8c8aed1d: /usr/lib64/openoffice.org/program/libcomphelp4gcc3.so + 0xaed1d
0x8c8ae3b4: /usr/lib64/openoffice.org/program/libcomphelp4gcc3.so + 0xae3b4
(comphelper::service_decl::ServiceDecl::Factory::createInstanceWithArgumentsAndContext(com::sun::star::uno::Sequence<com::sun::star::uno::Any>
const&, com::sun::star::uno::Reference<com::sun::star::uno::XComponentContext>
const&) + 0x24)
0x8ae45608: /usr/lib64/openoffice.org/program/libuno_cppuhelpergcc3.so.3 +
0x45608
(cppu::ORegistryFactoryHelper::createInstanceWithArgumentsAndContext(com::sun::star::uno::Sequence<com::sun::star::uno::Any>
const&, com::sun::star::uno::Reference<com::sun::star::uno::XComponentContext>
const&) + 0xc8)
0xddb74d27: /usr/lib64/openoffice.org/program/deployment680lx.uno.so + 0x3bd27
0xddb612ce: /usr/lib64/openoffice.org/program/deployment680lx.uno.so + 0x282ce
0xddb64c5c: /usr/lib64/openoffice.org/program/deployment680lx.uno.so + 0x2bc5c
0xddb6a6d4: /usr/lib64/openoffice.org/program/deployment680lx.uno.so + 0x316d4
0xdd6ead67: /usr/lib64/openoffice.org/program/deploymentgui680lx.uno.so + 0x2bd67
0xdd6e1e7e: /usr/lib64/openoffice.org/program/deploymentgui680lx.uno.so + 0x22e7e
0xdd6e138e: /usr/lib64/openoffice.org/program/deploymentgui680lx.uno.so + 0x2238e
0x92ad0fbd: /usr/lib64/openoffice.org/program/libfwk680lx.so + 0xd0fbd
0x92ad10ef: /usr/lib64/openoffice.org/program/libfwk680lx.so + 0xd10ef
0x92b02c12: /usr/lib64/openoffice.org/program/libfwk680lx.so + 0x102c12
0x8c02e37e: /usr/lib64/openoffice.org/program/libvcl680lx.so + 0x22e37e
(Menu::Select() + 0x3e)
0x8c0287f5: /usr/lib64/openoffice.org/program/libvcl680lx.so + 0x2287f5
0x8c087b14: /usr/lib64/openoffice.org/program/libvcl680lx.so + 0x287b14
0xae327617: /usr/lib64/openoffice.org/program/libvclplug_gen680lx.so + 0x58617
(SalDisplay::DispatchInternalEvent() + 0xb7)
0xae0716e6: /usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x186e6
0xfe42cf44: /lib64/libglib-2.0.so.0 + 0x2cf44 (g_main_context_dispatch + 0x1b4)
0xfe42fd7d: /lib64/libglib-2.0.so.0 + 0x2fd7d
0xfe4302ae: /lib64/libglib-2.0.so.0 + 0x302ae (g_main_context_iteration + 0x6e)
0xae07319b: /usr/lib64/openoffice.org/program/libvclplug_gtk680lx.so + 0x1a19b
0x8bed7a10: /usr/lib64/openoffice.org/program/libvcl680lx.so + 0xd7a10
(Application::Yield(bool) + 0x40)
0x8bed7aea: /usr/lib64/openoffice.org/program/libvcl680lx.so + 0xd7aea
(Application::Execute() + 0x2a)
0x94c2805b: /usr/lib64/openoffice.org/program/libsoffice.so + 0x2805b
(desktop::Desktop::Main() + 0xdeb)
0x8bedc2e4: /usr/lib64/openoffice.org/program/libvcl680lx.so + 0xdc2e4
0x8bedc345: /usr/lib64/openoffice.org/program/libvcl680lx.so + 0xdc345 (SVMain()
+ 0x25)
0x94c2128b: /usr/lib64/openoffice.org/program/libsoffice.so + 0x2128b (main + 0x4b)
0x4781d8a4: /lib64/libc.so.6 + 0x1d8a4 (__libc_start_main + 0xf4)
0x400619: /usr/lib64/openoffice.org/program/scalc.bin + 0x619 (main + 0x49)
...end stackreport details ...
...start sample ldd details ...
	libuno_sal.so.3 => /usr/lib64/openoffice.org/program/libuno_sal.so.3
(0x00002aaaaaccd000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib64/openoffice.org/program/libuno_salhelpergcc3.so.3 (0x00002aaaab0c2000)
	libstore.so.3 => /usr/lib64/openoffice.org/program/libstore.so.3
(0x00002aaaab2c6000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00002aaaab4ff000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00002aaaab703000)
	libstlport_gcc.so => /usr/lib64/openoffice.org/program/libstlport_gcc.so
(0x00002aaaab91d000)
	libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00002aaaabbed000)
	libm.so.6 => /lib64/libm.so.6 (0x00002aaaabeed000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00002aaaac170000)
	libc.so.6 => /lib64/libc.so.6 (0x00002aaaac37e000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x00002aaaac6cc000)
	/lib64/ld-linux-x86-64.so.2 (0x0000555555554000)
...end sample ldd details ...

Comment 1 Caolan McNamara 2007-04-11 06:36:31 UTC
I can reproduce this, but it's kind of odd. 


i.e. if you run it off a command line invocation like this...
/usr/lib64/openoffice.org/program/swriter.bin -writer
and then try the same menu, does it work for you then ?

Comment 2 Caolan McNamara 2007-04-11 07:16:25 UTC
ah, it's the config file finding optimization of -env:INIFILENAME=... in the
soffice which causes this. Better remove that then.

will be fixed in >= 2.2.0-14.5

in the meantime remove the "-env:INIFILENAME=.../sofficerc" command line option
from /usr/lib64/openoffice.org/soffice to workaround the problem. Good catch.


Note You need to log in before you can comment on or make changes to this bug.